/// <reference types="node" />
import * as fs from 'fs';
export default abstract class FileSystem<T> {
    abstract lstat(path: fs.PathLike): T;
    abstract stat(path: fs.PathLike): T;
}
export declare class FileSystemSync extends FileSystem<fs.Stats> {
    lstat(path: fs.PathLike): fs.Stats;
    stat(path: fs.PathLike): fs.Stats;
}
export declare class FileSystemAsync extends FileSystem<Promise<fs.Stats>> {
    lstat(path: fs.PathLike): Promise<fs.Stats>;
    stat(path: fs.PathLike): Promise<fs.Stats>;
}
